/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ssdt8.dat, Sun Jan  4 20:32:53 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000217 (535)
 *     Revision         0x01
 *     Checksum         0xE5
 *     OEM ID           "PmRef"
 *     OEM Table ID     "Cpu3Ist"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20051117 (537202967)
 */
DefinitionBlock ("ssdt8.aml", "SSDT", 1, "PmRef", "Cpu3Ist", 0x00003000)
{

    External (_PR_.P001._PPC, IntObj)
    External (_PR_.P001._PSS, IntObj)
    External (_PR_.P004, DeviceObj)
    External (CFGD)
    External (NCPU, IntObj)
    External (PDC3)

    Scope (\_PR.P004)
    {
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (\_PR.P001._PPC)
        }

        Method (_PCT, 0, NotSerialized)  // _PCT: Performance Control
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
        }

        Method (_PSS, 0, NotSerialized)  // _PSS: Performance Supported States
        {
            Return (\_PR.P001._PSS)
        }

        Name (PSE1, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x01
            }
        })
        Name (PSE2, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x02
            }
        })
        Name (PSE3, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x03
            }
        })
        Name (PSE4, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFE, 
                0x04
            }
        })
        Name (PSC1, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x01
            }
        })
        Name (PSC2, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x02
            }
        })
        Name (PSC3, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x03
            }
        })
        Name (PSC4, Package (0x01)
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00, 
                0xFC, 
                0x04
            }
        })
        Method (_PSD, 0, NotSerialized)  // _PSD: Power State Dependencies
        {
            If (And (CFGD, 0x01000000))
            {
                If (And (PDC3, 0x0800))
                {
                    Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
                    Store (NCPU, _T_0)
                    If (LEqual (_T_0, 0x01))
                    {
                        Return (PSE1)
                    }
                    Else
                    {
                        If (LEqual (_T_0, 0x02))
                        {
                            Return (PSE2)
                        }
                        Else
                        {
                            If (LEqual (_T_0, 0x03))
                            {
                                Return (PSE3)
                            }
                            Else
                            {
                                If (LEqual (_T_0, 0x04))
                                {
                                    Return (PSE4)
                                }
                                Else
                                {
                                    Return (PSE1)
                                }
                            }
                        }
                    }
                }

                Name (_T_1, Zero)  // _T_x: Emitted by ASL Compiler
                Store (NCPU, _T_1)
                If (LEqual (_T_1, 0x01))
                {
                    Return (PSC1)
                }
                Else
                {
                    If (LEqual (_T_1, 0x02))
                    {
                        Return (PSC2)
                    }
                    Else
                    {
                        If (LEqual (_T_1, 0x03))
                        {
                            Return (PSC3)
                        }
                        Else
                        {
                            If (LEqual (_T_1, 0x04))
                            {
                                Return (PSC4)
                            }
                            Else
                            {
                                Return (PSC1)
                            }
                        }
                    }
                }
            }

            Return (Package (0x01)
            {
                Package (0x05)
                {
                    0x05, 
                    0x00, 
                    0x00, 
                    0xFC, 
                    0x01
                }
            })
        }
    }
}

